Bug 432681 - package does not include "debugclient" binary, nor register itself with pecl
package does not include "debugclient" binary, nor register itself with pecl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php-pecl-xdebug (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 14:59 EST by Edward Rudd
Modified: 2008-02-25 19:25 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 19:25:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated RPM Spec file (3.84 KB, text/plain)
2008-02-13 14:59 EST, Edward Rudd
no flags Details

  None (edit)
Description Edward Rudd 2008-02-13 14:59:44 EST
the package does not provide the debugclient either in the main package or in a
separate package.

Also it does not register itself with pecl

I'm attaching an updated rpm spec file with changes to make the PECL
registration work and build the debugclient binary.   

*note* Upstream needs to fix their dist packaging and include "depcomp" scruot
in the debugclient subdirectory. I have entries in the spec to copy depcomp in
from the package, this probably should be modified to require automake and copy
it from the automake directory.
Comment 1 Edward Rudd 2008-02-13 14:59:44 EST
Created attachment 294827 [details]
Updated RPM Spec file
Comment 2 Fedora Update System 2008-02-22 20:42:11 EST
php-pecl-xdebug-2.0.2-3.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-25 19:25:45 EST
php-pecl-xdebug-2.0.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.